Subject: FVWM: config file setup

From: [email-masked] (Graeme McCaffery)
Date: Thu, 27 Feb 1997 12:50:40 +0000 (GMT)

I think people have misunderstood my post. I know it is possible to split the file, and I do this myself, however I think that it could be made much easier.
as it stands at the moment, fvwm looks first for .fvwmrc, if this fails
it then looks for system.fvwmrc 

what I would like changed is
1/it looks for $HOME/.fvwmrc
2/(if fail) looks for $HOME/.fvwm/fvwmrc
3/then system.fvwmrc

if 2  then: Read file
would search first in $HOME/.fvwm then in the system directory

if 3 then: Read file
would search first in $HOME/.fvwm then in the system directory

at present all you can do is have the system file read and then overwrite these options in your $HOME/.fvwm/file

basically what I suggest is that fvwm config files reside in a hiden directory so that they don't clutter the home directory and that the config is split into files so that users can simply copy and change the file relevant to what they want.

this sort of exists except that the read command always searches the $HOME directory and the system settings remain unless the user specifically overrides them explicitly.

Graeme

-- 
email: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].